Subject: linux-next: manual merge of the driver-core tree with the pm tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 1 Jul 2019 18:32:49 +1000

Hi all,

Today's linux-next merge of the driver-core tree got a conflict in:

  drivers/acpi/sleep.c

between commit:

  a3487d8f3063 ("ACPI / sleep: Switch to use acpi_dev_get_first_match_dev()")

from the pm tree and commit:

  418e3ea157ef ("bus_find_device: Unify the match callback with class_find_device")

from the driver-core tree.

I fixed it up (the former removed the code modified by the latter) and
can carry the fix as necessary. This is now fixed as far as linux-next
is concerned, but any non trivial conflicts should be mentioned to your
upstream maintainer when your tree is submitted for merging.  You may
also want to consider cooperating with the maintainer of the conflicting
tree to minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell